--- title: "Get image quality list" slug: "media-livestation-quality-qualitylist" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-quality-qualitylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get image quality list Available in Classic and VPC Get the complete list of image quality list (system, custom). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/qualityProfiles | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/qualityProfiles' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Image quality list: [content](/docs/en/media-livestation-quality-qualitylist#content) | | `total` | Integer | - | Total response count | ### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `disabled` | Boolean | - | Whether image quality is disabled - `true` \| `false` - `true`: Disabled - `false`: Enabled | | `id` | Integer | - | Image quality ID | | `status` | String | - | Image quality status - `CREATED`: Creation completed (valid value) | | `createdTime` | Integer | - | Image quality creation date and time (millisecond) - Unix timestamp format | | `genType` | String | - | Settings classification - `CUSTOM` \| `SYSTEM` - `CUSTOM`: Create manually - `SYSTEM`: Provided by default | | `name` | String | - | Image quality name | | `type` | String | - | Image quality type - `NORMAL` \| `AUDIO` \| `BYPASS` - `NORMAL`: Video and audio output - `AUDIO`: Audio-only output - `BYPASS`: Follow the source output settings. | | `video` | Object | - | Video settings information - If `type` is `AUDIO`, no display including sub-information. | | `video.fps` | Float | - | Number of frames per second (fps) | | `video.bitrate` | Integer | - | Video stream's bitrate (bps) | | `video.bframes` | Integer | - | Number of B-frames (bidirectional prediction frames) | | `video.level` | Integer | - | Video codec level - `-1`: AUTO (valid value) - A predefined standard specification of the performance limits of the hardware required for playback (decoding) | | `video.width` | Integer | - | Output video width (pixel) | | `video.height` | Integer | - | Output video height (pixel) | | `video.bypass` | Boolean | - | Whether to bypass the video stream - `true` \| `false` - `true`: Use the source stream as is (pass-through). - `false`: Transcode to match the settings information. | | `video.codec` | String | - | Video codec format - `H264` (valid value) | | `video.orientation` | String | - | Video orientation settings - `FIX` \| `FREE` - `FIX`: Fixed - `FREE`: Switchable | | `video.profile` | String | - | Video codec profile - `BASELINE` \| `MAIN` \| `HIGH` - `BASELINE`: Default option (for low-end devices, with minimal features) - `MAIN`: Recommended HD option - `HIGH`: Recommended full HD option - A predefined standard specification that enables the use of specific technologies in the H.264 codec for the intended use of the video | | `video.rateControl` | String | - | Bitrate distribution method - `VBR` \| `CBR` - `VBR`: Variable bitrate - `CBR`: Constant bitrate | | `video.videoH264ParamRefFrames` | Integer | - | H.264 reference frame count - `1` (valid value) | | `audio` | Object | - | Audio settings information | | `audio.codec` | String | - | Audio codec format - `AAC` \| `MP3` | | `audio.profile` | String | - | Audio codec profile - `LC`: AAC-LC (valid value) | | `audio.samplerate` | Integer | - | Audio sampling rate (Hz) - Samples per second | | `audio.channels` | Integer | - | Number of audio channels | | `audio.bitrate` | Integer | - | Audio stream's bitrate (Kbps) | | `audio.bypass` | Boolean | - | Whether to bypass the audio stream - `true` \| `false` - `true`: Use the source stream as is (pass-through). - `false`: Transcode to match the settings information. | | `inUseQualitySetNames` | Array | - | List of image quality settings in use - If no image quality settings are in use, display the empty value `[]`. | | `inUseChannelNames` | Array | - | List of channels in use - If no channels are in use, display the empty value `[]`. | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": [ { "disabled": false, "id": 3, "status": "CREATED", "createdTime": 1546300800000, "genType": "SYSTEM", "name": "1080p-9-16", "type": "NORMAL", "video": { "fps": 30.0, "bitrate": 5000000, "bframes": 0, "level": -1, "width": 1080, "height": 1920, "bypass": false, "codec": "H264", "profile": "HIGH", "rateControl": "VBR", "videoH264ParamRefFrames": 1 }, "audio": { "codec": "AAC", "profile": "LC", "samplerate": 48000, "channels": 0, "bitrate": 192, "bypass": false }, "inUseQualitySetNames": [], "inUseChannelNames": [] }, ... { "disabled": false, "id": ****, "status": "CREATED", "createdTime": 1755133269000, "genType": "CUSTOM", "name": "quailty", "type": "NORMAL", "video": { "fps": 30.0, "bitrate": 5000000, "bframes": 0, "level": -1, "width": 1920, "height": 1080, "bypass": false, "codec": "H264", "profile": "HIGH", "rateControl": "VBR", "videoH264ParamRefFrames": 1 }, "audio": { "codec": "MP3", "samplerate": 48000, "channels": 0, "bitrate": 192, "bypass": false }, "inUseQualitySetNames": [ "setting000", "setting001", "setting002" ], "inUseChannelNames": [ "channel000" ] } ], "total": 19 } ```